package cn.nosum.support.annotation;

import java.lang.annotation.*;

/**
 * DynamicClient Annotation.
 *
 * @author Young
 */
@Documented
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface DynamicClient {

    /**
     * 名称
     */
    String name() default "";

    /**
     * 引用的名称
     */
    String refName() default "";

    /**
     * 引用的类
     */
    Class<?> refType() default void.class;


    String contextId() default "";

    String qualifier() default "";

    boolean primary() default true;
}
