package cn.nosum.support.config;

import cn.nosum.support.processor.DynamicMethodAnnotationBeanPostProcessor;
import cn.nosum.support.proxy.InvocationHandlerFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * Dynamic methods automatically inject configuration classes.
 *
 * @author Young
 */
@Configuration
public class DynamicMethodsAutoConfiguration {


    @Bean
    public Targeter feignTargeter() {
        return new DefaultTargeter();
    }

    @Bean
    public InvocationHandlerFactory invocationHandlerFactory(){
        return new InvocationHandlerFactory.Default();
    }

    @Bean
    public DynamicMethodAnnotationBeanPostProcessor dynamicMethodAnnotationBeanPostProcessor(){
        return new DynamicMethodAnnotationBeanPostProcessor();
    }
}
