package cn.nosum.support.config;

import cn.nosum.support.endpoint.DynamicMethodWrapper;
import cn.nosum.support.endpoint.MethodEndpoint;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * Dynamic method registry.
 *
 * @author Young
 */
public class DynamicMethodsEndpointRegistrar {

    private final static Map<String, Map<String, MethodEndpoint>> METHOD_ENDPOINT_MAP = new ConcurrentHashMap<>(64);

    public static void registerEndpoint(MethodEndpoint endpoint, DynamicMethodWrapper dynamicMethod) {
        if (null == METHOD_ENDPOINT_MAP.get(endpoint.getBeanName())) {
            METHOD_ENDPOINT_MAP.put(endpoint.getBeanName(),new ConcurrentHashMap<>(8));
        }
        METHOD_ENDPOINT_MAP.get(endpoint.getBeanName()).put(dynamicMethod.getName(), endpoint);
    }

    public static Map<String, MethodEndpoint> getEndpoint(String beanName) {
        return METHOD_ENDPOINT_MAP.get(beanName);
    }
}
