package cn.nosum.support.proxy;

import java.lang.reflect.InvocationHandler;


/**
 * InvocationHandlerFactory.
 *
 * @author Young
 */
public interface InvocationHandlerFactory {

    /**
     * create InvocationHandler。
     *
     * @param target Target Object Information
     * @return InvocationHandler
     */
    <T> InvocationHandler create(Target<T> target);

    final class Default implements InvocationHandlerFactory {

        @Override
        public <T> InvocationHandler create(Target<T> target) {
            return new ReflectiveDynamicClientCreator.DynamicMethodsInvocationHandler(target);
        }
    }
}
