package cn.nosum.support.chain;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 责任链自定义异常。
 *
 * @author Young
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ResponsibilityChainException extends RuntimeException {

    private static final long serialVersionUID = -215073194559629227L;

    /**
     * 节点名称.
     */
    private String name;

    public ResponsibilityChainException(String name, Exception e) {
        super(e.getMessage(), e);
        this.setName(name);
    }

    public ResponsibilityChainException(String detailMessage) {
        super(detailMessage);
    }
}
