package cn.nosum.support.chain;

import java.util.function.Predicate;

/**
 * 负责生产责任链中的节点。
 *
 * @author Young
 */
public class ResponsibilityChainHandlerFactory {

    /**
     * 创建责任链处理节点
     *
     * @param name          名称
     * @param hitPredicate  提供给外部注册的判断是否命中当前责任链节点的逻辑块
     * @param handleAction  提供给外部注册的责任链上下文处理的逻辑块
     */
    public static <T extends Processor> BaseResponsibilityChainHandler<T> generate(String name,
                                                                                   Predicate<T> hitPredicate,
                                                                                   Predicate<T> handleAction,
                                                                                   BaseResponsibilityChainHandler<T> next) {
        return new BaseResponsibilityChainHandler<>(name, hitPredicate, handleAction, next);
    }
}
