package cn.nosum.support.config;


import cn.nosum.support.chain.BaseContext;
import cn.nosum.support.chain.Processor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import cn.nosum.support.processor.ResponsibilityChainInstantiationAwareBeanPostProcessor;
import cn.nosum.support.processor.ResponsibilityChainProcessor;

/**
 * 责任链工具包自动状态类.
 *
 * @author Young
 */
@Configuration
public class ResponsibilityChainAutoConfiguration {

    @Bean
    public ResponsibilityChainProcessor responsibilityChainProcessor() {
        return new ResponsibilityChainProcessor<>();
    }

    @Bean
    public ResponsibilityChainInstantiationAwareBeanPostProcessor responsibilityChainInstantiationAwareBeanPostProcessor() {
        return new ResponsibilityChainInstantiationAwareBeanPostProcessor();
    }

}
