package cn.nosum.wx.cp.controller;

import cn.nosum.http.SimpleDownloadRequestExecutor;
import cn.nosum.http.entity.DownloadResponse;
import cn.nosum.http.entity.UploadRequest;
import cn.nosum.wx.common.api.WxConsts;
import cn.nosum.wx.common.entity.result.WxMediaUploadResult;
import cn.nosum.wx.common.error.WxErrorException;
import cn.nosum.wx.cp.config.WxCpConfiguration;
import lombok.SneakyThrows;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.FileOutputStream;
import java.io.IOException;

/**
 * 素材管理.
 *
 * @author Young
 */
@RestController
@RequestMapping("/media")
public class MediaController {

    @SneakyThrows
    @RequestMapping("/upload/url")
    public WxMediaUploadResult uploadByUrl(Integer appId) {
        String url = "https://s3-000045-cfglpic.s3.cn-north-1.amazonaws.com.cn/fc61e4cc-41bb-40cd-8031-0e97e4d09924_%7BA2F6210E-02AD-4DA6-83B4-85CD78EAA24E%7D.png";
        DownloadResponse execute = SimpleDownloadRequestExecutor.create(WxCpConfiguration.getCpService(appId).getRequestHttp()).execute(url, null);
        ByteArrayOutputStream byteArrayOutputStream = (ByteArrayOutputStream) execute.getOutputStream();
        UploadRequest request = UploadRequest.builder().inputStream(new ByteArrayInputStream(byteArrayOutputStream.toByteArray())).fileName("test").build();
        return WxCpConfiguration.getCpService(appId).getMediaService().upload(WxConsts.MediaFileType.IMAGE, request);
    }

    @SneakyThrows
    @RequestMapping("/upload")
    public WxMediaUploadResult upload(MultipartFile file, Integer appId) {
        UploadRequest request = UploadRequest.builder().inputStream(file.getInputStream()).fileName(file.getOriginalFilename()).build();
        return WxCpConfiguration.getCpService(appId).getMediaService().upload(WxConsts.MediaFileType.IMAGE, request);
    }

    @RequestMapping("/download")
    public DownloadResponse download(Integer appId, String mediaId) throws WxErrorException, IOException {
        final DownloadResponse download = WxCpConfiguration.getCpService(appId).getMediaService().download(mediaId);
        try (ByteArrayOutputStream output = (ByteArrayOutputStream) download.getOutputStream()) {
            FileOutputStream fileOutputStream;
            String fileName = "/Users/huanghuijie/Downloads/" + download.getFileName();
            fileOutputStream = new FileOutputStream(fileName);
            fileOutputStream.write(output.toByteArray());
        }
        return download;
    }
}
