package cn.nosum.http;

import cn.nosum.http.enums.HttpType;

/**
 * httpClient 客户端获取接口.
 *
 * @param <H> httpClient
 * @param <P> httpProxy
 * @author Young
 */
public interface RequestHttp<H, P> {

    /**
     * 返回httpClient.
     *
     * @return 返回httpClient
     */
    H getRequestHttpClient();

    /**
     * 返回httpProxy.
     *
     * @return 返回httpProxy
     */
    P getRequestHttpProxy();

    /**
     * 返回HttpType.
     *
     * @return HttpType
     */
    HttpType getRequestType();

}
