package cn.nosum.http;

import cn.nosum.http.enums.HttpType;
import lombok.Data;

/**
 * HTTP 相关配置.
 *
 * @author Young
 */
@Data
public class RequestHttpProperties {

    /**
     * http type
     */
    private HttpType httpType;

    /**
     * http proxy host.
     */
    private String httpProxyHost;

    /**
     * http proxy port.
     */
    private int httpProxyPort;

    /**
     * http proxy username.
     */
    private String httpProxyUsername;

    /**
     * http proxy password.
     */
    private String httpProxyPassword;

    /**
     * http connectTimeoutSecond.
     */
    private Integer connectTimeout = 5000;

    /**
     * http readTimeoutSecond.
     */
    private Integer readTimeout = 5000;
}
