package cn.nosum.http.enums;

import lombok.Getter;

import java.util.Arrays;

/**
 * HTTP 客户端类型.
 *
 * @author Young
 */
@Getter
public enum HttpType {
    /**
     * jodd-http.
     */
    JODD_HTTP("jood"),
    /**
     * apache httpclient.
     */
    APACHE_HTTP("apache"),
    /**
     * okhttp.
     */
    OK_HTTP("ok_http"),
    ;

    HttpType(String name) {
        this.name = name;
    }

    /**
     * 客户端类型名称.
     */
    private String name;

    /**
     * 根据名称获取客户端类型.
     *
     * @param name 名称
     * @return 客户端类型
     */
    public static HttpType getByName(String name) {
        return Arrays.stream(HttpType.values()).filter(obj -> obj.name.equals(name)).findFirst().orElse(null);
    }
}
