package cn.nosum.http.exception;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * HTTP 请求错误实体包装.
 *
 * @author Young
 */
@Data
@Accessors(chain = true)
public class HttpError {

    /**
     * 错误代码.
     */
    private int errorCode;

    /**
     * 错误信息.
     * <p>
     * （如果可以翻译为中文，就为中文）
     */
    private String errorMsg;

    /**
     * 错误原始信息（英文）.
     */
    private String errorMsgEn;
}
