package cn.nosum.http.exception;

/**
 * HTTP 请求错误处理.
 *
 * @author Young
 */
public class HttpErrorException extends Exception {

    /**
     * HTTP 错误内容.
     */
    private final HttpError error;

    /**
     * 默认的错误码
     */
    private static final int DEFAULT_ERROR_CODE = -1;

    public HttpErrorException(String message) {
        this(new HttpError().setErrorCode(DEFAULT_ERROR_CODE).setErrorMsg(message));
    }

    public HttpErrorException(HttpError error) {
        super(error.toString());
        this.error = error;
    }

    public HttpErrorException(HttpError error, Throwable cause) {
        super(error.toString(), cause);
        this.error = error;
    }

    public HttpErrorException(Throwable cause) {
        super(cause.getMessage(), cause);
        this.error = new HttpError().setErrorCode(DEFAULT_ERROR_CODE).setErrorMsg(cause.getMessage());
    }

    public HttpError getError() {
        return this.error;
    }
}
