package cn.nosum.http.jodd;


import cn.nosum.http.RequestHttp;
import cn.nosum.http.ResponseHandler;
import cn.nosum.http.SimpleDownloadRequestExecutor;
import cn.nosum.http.entity.DownloadResponse;
import cn.nosum.http.exception.HttpErrorException;
import cn.nosum.http.proxy.HttpResponseProxy;
import jodd.http.HttpConnectionProvider;
import jodd.http.HttpRequest;
import jodd.http.HttpResponse;
import jodd.http.ProxyInfo;

import java.io.IOException;
import java.nio.charset.StandardCharsets;


/**
 * JODD 下载请求封装.
 *
 * @author Young
 */
public class JoddDownloadRequestExecutor extends SimpleDownloadRequestExecutor<HttpConnectionProvider, ProxyInfo> {

    public JoddDownloadRequestExecutor(RequestHttp<HttpConnectionProvider, ProxyInfo> requestHttp) {
        super(requestHttp);
    }

    public JoddDownloadRequestExecutor(RequestHttp<HttpConnectionProvider, ProxyInfo> requestHttp, ResponseHandler<DownloadResponse,DownloadResponse> responseHandler) {
        super(requestHttp, responseHandler);
    }

    @Override
    public DownloadResponse doExecute(String uri, String data) throws HttpErrorException, IOException {
        HttpRequest request = HttpRequest.get(uri);
        if (requestHttp.getRequestHttpProxy() != null) {
            requestHttp.getRequestHttpClient().useProxy(requestHttp.getRequestHttpProxy());
        }
        request.withConnectionProvider(requestHttp.getRequestHttpClient());

        HttpResponse response = request.send();
        response.charset(StandardCharsets.UTF_8.name());
        return new HttpResponseProxy(response).transferDownload();
    }
}
