package cn.nosum.http.jodd;

import cn.nosum.http.RequestHttp;
import cn.nosum.http.ResponseHandler;
import cn.nosum.http.SimpleUploadRequestExecutor;
import cn.nosum.http.entity.UploadRequest;
import cn.nosum.http.exception.HttpErrorException;
import jodd.http.HttpConnectionProvider;
import jodd.http.HttpRequest;
import jodd.http.HttpResponse;
import jodd.http.ProxyInfo;

import java.io.IOException;
import java.nio.charset.StandardCharsets;


/**
 * JODD 简单文件上传实现.
 *
 * @author Young
 */
public class JoddHttpSimpleUploadRequestExecutor extends SimpleUploadRequestExecutor<HttpConnectionProvider, ProxyInfo, String> {


    public JoddHttpSimpleUploadRequestExecutor(RequestHttp<HttpConnectionProvider, ProxyInfo> requestHttp) {
        super(requestHttp);
    }

    public JoddHttpSimpleUploadRequestExecutor(RequestHttp<HttpConnectionProvider, ProxyInfo> requestHttp, ResponseHandler<String,String> responseHandler) {
        super(requestHttp, responseHandler);
    }

    @Override
    public String doExecute(String uri, UploadRequest uploadRequest) throws HttpErrorException, IOException {
        HttpRequest request = HttpRequest.post(uri);
        if (requestHttp.getRequestHttpProxy() != null) {
            requestHttp.getRequestHttpClient().useProxy(requestHttp.getRequestHttpProxy());
        }
        request.withConnectionProvider(requestHttp.getRequestHttpClient());
        request.form(uploadRequest.getName(), uploadRequest.getInputStream());
        HttpResponse response = request.send();
        response.charset(StandardCharsets.UTF_8.name());
        return response.bodyText();
    }
}
