package cn.nosum.http.jodd;

import cn.nosum.http.AbsRequestHttp;
import cn.nosum.http.RequestHttp;
import cn.nosum.http.RequestHttpProperties;
import cn.nosum.http.apache.ApacheHttpClientBuilder;
import cn.nosum.http.apache.DefaultApacheHttpClientBuilder;
import cn.nosum.http.enums.HttpType;
import jodd.http.HttpConnectionProvider;
import jodd.http.ProxyInfo;
import org.apache.http.HttpHost;
import org.apache.http.impl.client.CloseableHttpClient;

/**
 * Jodd 请求代理封装.
 *
 * @author Young
 */
public class JoddRequestHttp extends AbsRequestHttp<HttpConnectionProvider, ProxyInfo> {

    public JoddRequestHttp(RequestHttpProperties properties) {
        if (properties.getHttpProxyHost() != null && properties.getHttpProxyPort() > 0) {
            httpProxy = new ProxyInfo(ProxyInfo.ProxyType.HTTP,
                    properties.getHttpProxyHost(),
                    properties.getHttpProxyPort(),
                    properties.getHttpProxyUsername(),
                    properties.getHttpProxyPassword());
        }
        JoddSocketHttpConnectionProvider joddSocketHttpConnectionProvider = new JoddSocketHttpConnectionProvider();
        joddSocketHttpConnectionProvider.setSoTimeout(properties.getReadTimeout());
        joddSocketHttpConnectionProvider.setConnectionTimeout(properties.getConnectTimeout());
        httpClient = joddSocketHttpConnectionProvider;
    }

    @Override
    public HttpType getRequestType() {
        return HttpType.JODD_HTTP;
    }
}
