package cn.nosum.http.jodd;

import jodd.http.net.SocketHttpConnectionProvider;

import javax.net.SocketFactory;
import java.io.IOException;
import java.net.Socket;

/**
 * JODD SocketHttpConnectionProvider.
 *
 * @author Young
 */
public class JoddSocketHttpConnectionProvider extends SocketHttpConnectionProvider {

    /**
     * socket timeout.
     */
    private Integer soTimeout;

    /**
     * connection timeout.
     */
    private Integer connectionTimeout;

    public void setSoTimeout(Integer soTimeout) {
        this.soTimeout = soTimeout;
    }

    public Integer getSoTimeout() {
        return soTimeout;
    }

    public void setConnectionTimeout(Integer connectionTimeout) {
        this.connectionTimeout = connectionTimeout;
    }

    public Integer getConnectionTimeout() {
        return connectionTimeout;
    }

    @Override
    protected Socket createSocket(String host, int port, int connectionTimeout) throws IOException {
        Socket socket = super.createSocket(host, port, this.connectionTimeout);
        socket.setSoTimeout(this.soTimeout);
        return socket;
    }
}
