package cn.nosum.http.okhttp;

import cn.nosum.http.RequestHttp;
import cn.nosum.http.ResponseHandler;
import cn.nosum.http.SimpleDownloadRequestExecutor;
import cn.nosum.http.entity.DownloadResponse;
import cn.nosum.http.exception.HttpErrorException;
import cn.nosum.http.proxy.HttpResponseProxy;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;

import java.io.IOException;

/**
 * OKHTTP 下载请求封装.
 *
 * @author Young
 */
public class OkHttpDownloadRequestExecutor extends SimpleDownloadRequestExecutor<OkHttpClient, OkHttpProxyInfo> {

    public OkHttpDownloadRequestExecutor(RequestHttp<OkHttpClient, OkHttpProxyInfo> requestHttp) {
        super(requestHttp);
    }

    public OkHttpDownloadRequestExecutor(RequestHttp<OkHttpClient, OkHttpProxyInfo> requestHttp, ResponseHandler<DownloadResponse,DownloadResponse> responseHandler) {
        super(requestHttp, responseHandler);
    }

    @Override
    public DownloadResponse doExecute(String uri, String data) throws HttpErrorException, IOException {
        OkHttpClient client = requestHttp.getRequestHttpClient();
        Request request = new Request.Builder().url(uri).get().build();
        Response response = client.newCall(request).execute();
        return new HttpResponseProxy(response).transferDownload();
    }
}
