package cn.nosum.wx.common.entity.result;

import cn.nosum.wx.common.utils.json.WxGsonBuilder;
import lombok.Data;

import java.io.Serializable;

/**
 * 微信素材文件上传返回实体.
 *
 * @author Young
 */
@Data
public class WxMediaUploadResult implements Serializable {
    private static final long serialVersionUID = 330834334738622341L;

    private String url;
    private String type;
    private String mediaId;
    private String thumbMediaId;
    private long createdAt;

    public static WxMediaUploadResult fromJson(String json) {
        return WxGsonBuilder.create().fromJson(json, WxMediaUploadResult.class);
    }

    @Override
    public String toString() {
        return WxGsonBuilder.create().toJson(this);
    }

}
