package cn.nosum.wx.common.utils.json;

import cn.nosum.wx.common.entity.WxAccessToken;
import com.google.gson.*;

import java.lang.reflect.Type;

/**
 * AccessToken Json 反序列化.
 *
 * @author Young
 */
public class WxAccessTokenAdapter implements JsonDeserializer<WxAccessToken> {

    @Override
    public WxAccessToken deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
        WxAccessToken accessToken = new WxAccessToken();
        JsonObject accessTokenJsonObject = json.getAsJsonObject();

        if (accessTokenJsonObject.get("access_token") != null && !accessTokenJsonObject.get("access_token").isJsonNull()) {
            accessToken.setAccessToken(GsonHelper.getAsString(accessTokenJsonObject.get("access_token")));
        }
        if (accessTokenJsonObject.get("expires_in") != null && !accessTokenJsonObject.get("expires_in").isJsonNull()) {
            accessToken.setExpiresIn(GsonHelper.getAsPrimitiveInt(accessTokenJsonObject.get("expires_in")));
        }
        return accessToken;
    }

}
