package cn.nosum.wx.common.utils.json;

import cn.nosum.wx.common.error.WxError;
import com.google.gson.*;

import java.lang.reflect.Type;

/**
 * 微信接口调用异常 Json 反序列化.
 *
 * @author Young
 */
public class WxErrorAdapter implements JsonDeserializer<WxError> {

    @Override
    public WxError deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context)
            throws JsonParseException {
        WxError error = new WxError();
        JsonObject wxErrorJsonObject = json.getAsJsonObject();

        if (wxErrorJsonObject.get("errcode") != null && !wxErrorJsonObject.get("errcode").isJsonNull()) {
            error.setErrorCode(GsonHelper.getAsPrimitiveInt(wxErrorJsonObject.get("errcode")));
        }
        if (wxErrorJsonObject.get("errmsg") != null && !wxErrorJsonObject.get("errmsg").isJsonNull()) {
            error.setErrorMsg(GsonHelper.getAsString(wxErrorJsonObject.get("errmsg")));
        }

        error.setJson(json.toString());

        return error;
    }

}
