package cn.nosum.wx.common.utils.json;

import cn.nosum.wx.common.entity.WxAccessToken;
import cn.nosum.wx.common.entity.WxNetCheckResult;
import cn.nosum.wx.common.entity.menu.WxMenu;
import cn.nosum.wx.common.entity.result.WxMediaUploadResult;
import cn.nosum.wx.common.error.WxError;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

/**
 * Gson 适配器构建器.
 *
 * @author Young
 */
public class WxGsonBuilder {
    private static final GsonBuilder INSTANCE = new GsonBuilder();

    static {
        INSTANCE.disableHtmlEscaping();
        INSTANCE.registerTypeAdapter(WxAccessToken.class, new WxAccessTokenAdapter());
        INSTANCE.registerTypeAdapter(WxError.class, new WxErrorAdapter());
        INSTANCE.registerTypeAdapter(WxMenu.class, new WxMenuGsonAdapter());
        INSTANCE.registerTypeAdapter(WxMediaUploadResult.class, new WxMediaUploadResultAdapter());
        INSTANCE.registerTypeAdapter(WxNetCheckResult.class, new WxNetCheckResultGsonAdapter());

    }

    public static Gson create() {
        return INSTANCE.create();
    }

}
