package cn.nosum.wx.cp.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * 企业微信 HTTP 请求配置.
 *
 * @author Young
 */
@Data
@ConfigurationProperties(prefix = "wx.cp.http")
public class WxCpHttpProperties {

    /**
     * 请求类型.
     */
    private String type;

    /**
     * 连接超时时间.
     */
    private Integer connectTimeout = 5000;

    /**
     * 请求超时时间.
     */
    private Integer readTimeout = 5000;

    /**
     * 代理配置
     */
    private WxCpHttpProxyProperties proxy;
}
