package cn.nosum.wx.cp.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * 企微微信 HTTP 请求配置.
 *
 * @author Young
 */
@Data
@ConfigurationProperties(prefix = "wx.cp.http.proxy")
public class WxCpHttpProxyProperties {

    /**
     * 是否启用
     */
    private boolean enabled = Boolean.FALSE;

    /**
     * 主机
     */
    private String host;

    /**
     * 端口号
     */
    private Integer port = 0;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 密码
     */
    private String password;
}
