package cn.nosum.wx.cp.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.List;

/**
 * 企业微信多应用配置.
 *
 * @author Young
 */
@Getter
@Setter
@ConfigurationProperties(prefix = "wx.cp")
public class WxCpMultiAppProperties {

    /**
     * 设置企业微信的corpId
     */
    private String corpId;

    /**
     * 企微微信 HTTP 接口请求配置
     */
    private WxCpHttpProperties http;

    /**
     * 应用配置列表
     */
    private List<WxCpAppProperties> appConfigs;
}
