package cn.nosum.wx.cp.api;

import cn.nosum.wx.cp.entity.WxCpAgent;

import java.util.List;

/**
 * 管理企业号应用.
 * 文档地址：https://work.weixin.qq.com/api/doc#10087
 *
 * @author Young
 */
public interface WxCpAgentService {
    /**
     * 获取企业号应用信息
     * 用于获取企业号某个应用的基本信息，包括头像、昵称、账号类型、认证类型、可见范围等信息
     *
     * @param agentId 企业应用的id
     * @return 部门id
     */
    WxCpAgent get(Integer agentId);

    /**
     * 设置应用.
     * 仅企业可调用，可设置当前凭证对应的应用；第三方不可调用。
     *
     * @param agentInfo 应用信息
     */
    void set(WxCpAgent agentInfo) ;

    /**
     * 获取应用列表.
     * 企业仅可获取当前凭证对应的应用；第三方仅可获取被授权的应用。
     */
    List<WxCpAgent> list() ;

}
