package cn.nosum.wx.cp.api;

import cn.nosum.wx.common.error.WxErrorException;
import cn.nosum.wx.cp.entity.WxCpAgentWorkBench;

/**
 * 工作台自定义展示.
 * 文档地址：https://work.weixin.qq.com/api/doc/90000/90135/92535
 *
 * @author Young
 */
public interface WxCpAgentWorkBenchService {

    /**
     * 设置工作台展示模板.
     *
     * @param wxCpAgentWorkBench 工作台自定义展示
     */
    void setWorkBenchTemplate(WxCpAgentWorkBench wxCpAgentWorkBench);

    /**
     * 获取工作台展示模板.
     *
     * @param agentId 应用ID
     * @return 工作台展示模板
     */
    String getWorkBenchTemplate(Long agentId);

    /**
     * 设置工作台展示模板.
     *
     * @param wxCpAgentWorkBench 工作台自定义展示
     */
    void setWorkBenchData(WxCpAgentWorkBench wxCpAgentWorkBench);
}
