package cn.nosum.wx.cp.api;

import cn.nosum.wx.cp.entity.message.*;

/**
 * 消息推送接口.
 *
 * @author Young
 */
public interface WxCpMessageService {
    /**
     * 发送消息
     * 请求方式：POST（HTTPS）
     * 详情请见: https://work.weixin.qq.com/api/doc/90000/90135/90236
     *
     * @param message 要发送的消息对象
     * @return the wx cp message send result
     */
    WxCpMessageSendResult send(WxCpMessage message);

    /**
     * 查询应用消息发送统计
     * 请求方式：POST（HTTPS）
     * 详情请见: https://work.weixin.qq.com/api/doc/90000/90135/92369
     *
     * @param timeType 查询哪天的数据，0：当天；1：昨天。默认为0。
     * @return 统计结果
     */
    WxCpMessageSendStatistics getStatistics(int timeType);

    /**
     * 互联企业的应用支持推送文本、图片、视频、文件、图文等类型。
     * 请求方式：POST（HTTPS）
     * 文章地址：https://work.weixin.qq.com/api/doc/90000/90135/90250
     *
     * @param message 要发送的消息对象
     * @return the wx cp message send result
     */
    WxCpLinkedCorpMessageSendResult sendLinkedCorpMessage(WxCpLinkedCorpMessage message);
}
