package cn.nosum.wx.cp.api;

import java.util.List;

/**
 * 任务卡片管理接口.
 *
 * @author Young
 */
public interface WxCpTaskCardService {

    /**
     * <pre>
     * 更新任务卡片消息状态
     * 详情请见: https://work.weixin.qq.com/api/doc#90000/90135/91579
     *
     * 注意: 这个方法使用WxCpConfigStorage里的agentId
     * </pre>
     *
     * @param userIds     企业的成员ID列表
     * @param taskId      任务卡片ID
     * @param replaceName 替换文案
     */
    void update(List<String> userIds, String taskId, String replaceName);
}
