package cn.nosum.wx.cp.api.impl;

import cn.nosum.wx.cp.api.WxCpAgentWorkBenchService;
import cn.nosum.wx.cp.api.WxCpService;
import cn.nosum.wx.cp.entity.WxCpAgentWorkBench;
import com.google.gson.JsonObject;
import lombok.RequiredArgsConstructor;

import static cn.nosum.wx.cp.constant.WxCpApiPathConsts.WorkBench.WORKBENCH_DATA_SET;
import static cn.nosum.wx.cp.constant.WxCpApiPathConsts.WorkBench.WORKBENCH_TEMPLATE_GET;
import static cn.nosum.wx.cp.constant.WxCpApiPathConsts.WorkBench.WORKBENCH_TEMPLATE_SET;

/**
 * 工作台自定义展示实现.
 *
 * @author Young
 */
@RequiredArgsConstructor
public class WxCpAgentWorkBenchServiceImpl implements WxCpAgentWorkBenchService {

    private final WxCpService mainService;

    @Override
    public void setWorkBenchTemplate(WxCpAgentWorkBench wxCpAgentWorkBench) {
        this.mainService.post(this.mainService.getWxCpConfigStorage().getApiUrl(WORKBENCH_TEMPLATE_SET), wxCpAgentWorkBench.toTemplateString());
    }

    @Override
    public String getWorkBenchTemplate(Long agentId) {
        JsonObject jsonObject = new JsonObject();
        jsonObject.addProperty("agentid", agentId);
        return this.mainService.post(this.mainService.getWxCpConfigStorage().getApiUrl(WORKBENCH_TEMPLATE_GET), jsonObject.toString());
    }

    @Override
    public void setWorkBenchData(WxCpAgentWorkBench wxCpAgentWorkBench) {
        this.mainService.post(this.mainService.getWxCpConfigStorage().getApiUrl(WORKBENCH_DATA_SET), wxCpAgentWorkBench.toUserDataString());
    }
}