package cn.nosum.wx.cp.api.impl;

import cn.nosum.wx.common.entity.menu.WxMenu;
import cn.nosum.wx.cp.api.WxCpMenuService;
import cn.nosum.wx.cp.api.WxCpService;
import cn.nosum.wx.cp.utils.json.WxCpGsonBuilder;
import lombok.RequiredArgsConstructor;

import static cn.nosum.wx.cp.constant.WxCpApiPathConsts.Menu.*;

/**
 * 菜单管理相关接口.
 *
 * @author Young
 */
@RequiredArgsConstructor
public class WxCpMenuServiceImpl implements WxCpMenuService {

    private final WxCpService mainService;

    @Override
    public void create(WxMenu menu) {
        this.create(this.mainService.getWxCpConfigStorage().getAgentId(), menu);
    }

    @Override
    public void create(Integer agentId, WxMenu menu) {
        String url = String.format(this.mainService.getWxCpConfigStorage().getApiUrl(MENU_CREATE), agentId);
        this.mainService.post(url, menu.toJson());
    }

    @Override
    public void delete() {
        this.delete(this.mainService.getWxCpConfigStorage().getAgentId());
    }

    @Override
    public void delete(Integer agentId) {
        String url = String.format(this.mainService.getWxCpConfigStorage().getApiUrl(MENU_DELETE), agentId);
        this.mainService.get(url, null);
    }

    @Override
    public WxMenu get() {
        return this.get(this.mainService.getWxCpConfigStorage().getAgentId());
    }

    @Override
    public WxMenu get(Integer agentId) {
        String url = String.format(this.mainService.getWxCpConfigStorage().getApiUrl(MENU_GET), agentId);
        return WxCpGsonBuilder.create().fromJson(this.mainService.get(url, null), WxMenu.class);
    }
}