package cn.nosum.wx.cp.api.impl;

import cn.nosum.wx.cp.api.WxCpMessageService;
import cn.nosum.wx.cp.api.WxCpService;
import cn.nosum.wx.cp.entity.message.*;
import cn.nosum.wx.cp.utils.json.WxCpGsonBuilder;
import com.google.common.collect.ImmutableMap;
import lombok.RequiredArgsConstructor;

import static cn.nosum.wx.cp.constant.WxCpApiPathConsts.Message;

/**
 * 消息推送接口实现类.
 *
 * @author Young
 */
@RequiredArgsConstructor
public class WxCpMessageServiceImpl implements WxCpMessageService {
    private final WxCpService cpService;

    @Override
    public WxCpMessageSendResult send(WxCpMessage message) {
        Integer agentId = message.getAgentId();
        if (null == agentId) {
            message.setAgentId(this.cpService.getWxCpConfigStorage().getAgentId());
        }
        return WxCpMessageSendResult.fromJson(this.cpService.post(this.cpService.getWxCpConfigStorage().getApiUrl(Message.MESSAGE_SEND), message.toJson()));
    }

    @Override
    public WxCpMessageSendStatistics getStatistics(int timeType) {
        return WxCpMessageSendStatistics.fromJson(this.cpService.post(this.cpService.getWxCpConfigStorage().getApiUrl(Message.GET_STATISTICS),
                WxCpGsonBuilder.create().toJson(ImmutableMap.of("time_type", timeType))));
    }

    @Override
    public WxCpLinkedCorpMessageSendResult sendLinkedCorpMessage(WxCpLinkedCorpMessage message) {
        Integer agentId = message.getAgentId();
        if (null == agentId) {
            message.setAgentId(this.cpService.getWxCpConfigStorage().getAgentId());
        }
        return WxCpLinkedCorpMessageSendResult.fromJson(this.cpService.post(this.cpService.getWxCpConfigStorage().getApiUrl(Message.LINKED_CORP_MESSAGE_SEND), message.toJson()));
    }
}
