package cn.nosum.wx.cp.api.impl;


import cn.nosum.http.RequestHttpProperties;
import cn.nosum.http.enums.HttpType;
import cn.nosum.http.jodd.JoddSocketHttpConnectionProvider;
import cn.nosum.wx.cp.config.WxCpConfigStorage;
import jodd.http.HttpConnectionProvider;
import jodd.http.ProxyInfo;

/**
 * 企业微信API服务层JODD实现.
 *
 * @author Young
 */
public class WxCpServiceJoddHttpImpl extends BaseWxCpServiceImpl<HttpConnectionProvider, ProxyInfo> {

    private HttpConnectionProvider httpClient;
    private ProxyInfo httpProxy;

    @Override
    public void initHttp() {
        RequestHttpProperties httpProperties = this.configStorage.getHttpProperties();
        if (httpProperties.getHttpProxyHost() != null && httpProperties.getHttpProxyPort() > 0) {
            httpProxy = new ProxyInfo(ProxyInfo.ProxyType.HTTP,
                    httpProperties.getHttpProxyHost(),
                    httpProperties.getHttpProxyPort(),
                    httpProperties.getHttpProxyUsername(),
                    httpProperties.getHttpProxyPassword());
        }
        JoddSocketHttpConnectionProvider joddSocketHttpConnectionProvider = new JoddSocketHttpConnectionProvider();
        joddSocketHttpConnectionProvider.setSoTimeout(httpProperties.getReadTimeout());
        joddSocketHttpConnectionProvider.setConnectionTimeout(httpProperties.getConnectTimeout());
        httpClient = joddSocketHttpConnectionProvider;
    }


    @Override
    public HttpConnectionProvider getRequestHttpClient() {
        return httpClient;
    }

    @Override
    public ProxyInfo getRequestHttpProxy() {
        return httpProxy;
    }

    @Override
    public HttpType getRequestType() {
        return HttpType.JODD_HTTP;
    }

    @Override
    public WxCpConfigStorage getWxCpConfigStorage() {
        return this.configStorage;
    }
}
