package cn.nosum.wx.cp.api.impl;

import cn.nosum.wx.common.utils.json.WxGsonBuilder;
import cn.nosum.wx.cp.api.WxCpService;
import cn.nosum.wx.cp.api.WxCpTaskCardService;
import lombok.RequiredArgsConstructor;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import cn.nosum.wx.cp.constant.WxCpApiPathConsts.TaskCard;

/**
 * 任务卡片管理接口.
 *
 * @author Young
 */
@RequiredArgsConstructor
public class WxCpTaskCardServiceImpl implements WxCpTaskCardService {

    private final WxCpService mainService;

    @Override
    public void update(List<String> userIds, String taskId, String clickedKey) {
        Integer agentId = this.mainService.getWxCpConfigStorage().getAgentId();

        Map<String, Object> data = new HashMap<>(4);
        data.put("userids", userIds);
        data.put("agentid", agentId);
        data.put("task_id", taskId);
        data.put("clicked_key", clickedKey);

        String url = this.mainService.getWxCpConfigStorage().getApiUrl(TaskCard.UPDATE_TASK_CARD);
        this.mainService.post(url, WxGsonBuilder.create().toJson(data));
    }
}