package cn.nosum.wx.cp.entity;

import cn.nosum.wx.cp.utils.json.WxCpGsonBuilder;
import com.google.gson.annotations.SerializedName;
import lombok.Data;

import java.io.Serializable;

/**
 * 服务商凭证.
 *
 * @author Young
 */
@Data
public class WxCpProviderToken implements Serializable {
    private static final long serialVersionUID = -4301684507150486556L;
    /**
     * 服务商的access_token，最长为512字节。
     */
    @SerializedName("provider_access_token")
    private String providerAccessToken;

    /**
     * provider_access_token有效期（秒）
     */
    @SerializedName("expires_in")
    private Integer expiresIn;

    public static WxCpProviderToken fromJson(String json) {
        return WxCpGsonBuilder.create().fromJson(json, WxCpProviderToken.class);
    }
}
