package cn.nosum.wx.cp.entity.external;

import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import cn.nosum.wx.cp.entity.external.msg.Image;
import cn.nosum.wx.cp.entity.external.msg.Link;
import cn.nosum.wx.cp.entity.external.msg.MiniProgram;
import cn.nosum.wx.cp.entity.external.msg.Text;
import cn.nosum.wx.cp.utils.json.WxCpGsonBuilder;

import java.io.Serializable;
import java.util.List;

/**
 * 企业群发消息任务
 *
 * @author Young
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WxCpMsgTemplate implements Serializable {
  private static final long serialVersionUID = 3172331565173474358L;

  @SerializedName("chat_type")
  private String chatType;

  @SerializedName("external_userid")
  private List<String> externalUserid;

  private String sender;

  private Text text;

  private Image image;

  private Link link;

  private MiniProgram miniprogram;

  public static WxCpMsgTemplate fromJson(String json) {
    return WxCpGsonBuilder.create().fromJson(json, WxCpMsgTemplate.class);
  }

  public String toJson() {
    return WxCpGsonBuilder.create().toJson(this);
  }

}
