package cn.nosum.wx.cp.entity.external;

import com.google.gson.annotations.SerializedName;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import cn.nosum.wx.cp.entity.WxCpBaseResp;
import cn.nosum.wx.cp.utils.json.WxCpGsonBuilder;

import java.util.List;

/**
 * 分配离职成员的客户群结果.
 *
 * @author Young
 */
@Data
public class WxCpUserExternalGroupChatTransferResp extends WxCpBaseResp {
    private static final long serialVersionUID = -943124579487821819L;
    /**
     * 没有成功继承的群列表
     */
    @SerializedName("failed_chat_list")
    private List<GroupChatFailedTransfer> failedChatList;

    public static WxCpUserExternalGroupChatTransferResp fromJson(String json) {
        return WxCpGsonBuilder.create().fromJson(json, WxCpUserExternalGroupChatTransferResp.class);
    }

    public String toJson() {
        return WxCpGsonBuilder.create().toJson(this);
    }

    @Getter
    @Setter
    public static class GroupChatFailedTransfer extends WxCpBaseResp {
        private static final long serialVersionUID = -5836775099634587239L;
        /**
         * 没能成功继承的群ID
         */
        private String chatId;

        public static GroupChatFailedTransfer fromJson(String json) {
            return WxCpGsonBuilder.create().fromJson(json, GroupChatFailedTransfer.class);
        }

        public String toJson() {
            return WxCpGsonBuilder.create().toJson(this);
        }
    }
}
