package cn.nosum.wx.cp.entity.external;

import com.google.gson.annotations.SerializedName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import cn.nosum.wx.cp.entity.WxCpBaseResp;
import cn.nosum.wx.cp.utils.json.WxCpGsonBuilder;

import java.io.Serializable;
import java.util.List;

/**
 * 离职员工外部联系人列表.
 *
 * @author Young
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class WxCpUserExternalUnassignList extends WxCpBaseResp {

    @SerializedName("info")
    private List<UnassignInfo> unassignInfos;

    @SerializedName("is_last")
    private boolean isLast;

    @Getter
    @Setter
    public static class UnassignInfo implements Serializable {
        private static final long serialVersionUID = -4301684507150486556L;

        /**
         * 离职成员userid
         */
        @SerializedName("handover_userid")
        private String handoverUserid;

        /**
         * 外部联系人userid
         */
        @SerializedName("external_userid")
        private String externalUserid;

        /**
         * 成员离职时间
         */
        @SerializedName("dimission_time")
        private Long dimissionTime;
    }

    public static WxCpUserExternalUnassignList fromJson(String json) {
        return WxCpGsonBuilder.create().fromJson(json, WxCpUserExternalUnassignList.class);
    }
}
