package cn.nosum.wx.cp.entity.external.contact;

import cn.nosum.wx.cp.entity.WxCpBaseResp;
import cn.nosum.wx.cp.utils.json.WxCpGsonBuilder;
import com.google.gson.annotations.SerializedName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * 批量获取客户详情
 * 参考文档：https://work.weixin.qq.com/api/doc/90000/90135/92994
 *
 * @author Young
 */
@Getter
@Setter
public class WxCpExternalContactBatchInfo extends WxCpBaseResp implements Serializable {
    private static final long serialVersionUID = -5166048319463473186L;

    @SerializedName("external_contact_list")
    private List<ExternalContactInfo> externalContactList;

    @SerializedName("next_cursor")
    private String nextCursor;

    @Getter
    @Setter
    public static class ExternalContactInfo implements Serializable {
        private static final long serialVersionUID = 4723983768235723206L;

        @SerializedName("external_contact")
        private ExternalContact externalContact;

        @SerializedName("follow_info")
        private FollowedUser followInfo;
    }


    public static WxCpExternalContactBatchInfo fromJson(String json) {
        return WxCpGsonBuilder.create().fromJson(json, WxCpExternalContactBatchInfo.class);
    }

}
