package cn.nosum.wx.cp.entity.external.contact;

import com.google.gson.annotations.SerializedName;
import lombok.Data;
import cn.nosum.wx.cp.utils.json.WxCpGsonBuilder;

import java.io.Serializable;
import java.util.List;

/**
 * 外部联系人详情.
 *
 * @author Young
 */
@Data
public class WxCpExternalContactInfo implements Serializable {
    private static final long serialVersionUID = 4311777322534499260L;

    @SerializedName("external_contact")
    private ExternalContact externalContact;

    @SerializedName("follow_user")
    private List<FollowedUser> followedUsers;

    @SerializedName("next_cursor")
    private String nextCursor;

    public static WxCpExternalContactInfo fromJson(String json) {
        return WxCpGsonBuilder.create().fromJson(json, WxCpExternalContactInfo.class);
    }

}
