package cn.nosum.wx.cp.entity.external.msg;

import com.google.gson.annotations.SerializedName;
import cn.nosum.wx.cp.constant.WxCpConstants;

import java.io.Serializable;

/**
 * 消息附件.
 *
 * @author Young
 */
public class Attachment implements Serializable {
    private static final long serialVersionUID = -8078748379570640198L;

    @SerializedName("msgtype")
    private String msgType;

    private Image image;

    private Link link;

    private MiniProgram miniprogram;

    private Video video;

    @Override
    public String toString() {
        return "Attachment{" +
                "msgType='" + msgType + '\'' +
                ", image=" + image +
                ", link=" + link +
                ", miniprogram=" + miniprogram +
                ", video=" + video +
                '}';
    }

    private String getMsgType() {
        return msgType;
    }

    private void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    public Image getImage() {
        return image;
    }

    public void setImage(Image image) {
        this.image = image;
        this.msgType = WxCpConstants.WelcomeMsgType.IMAGE;
    }

    public Link getLink() {
        return link;
    }

    public void setLink(Link link) {
        this.link = link;
        this.msgType = WxCpConstants.WelcomeMsgType.LINK;
    }

    public MiniProgram getMiniprogram() {
        return miniprogram;
    }

    public void setMiniprogram(MiniProgram miniprogram) {
        this.miniprogram = miniprogram;
        this.msgType = WxCpConstants.WelcomeMsgType.MINIPROGRAM;
    }

    public Video getVideo() {
        return video;
    }

    public void setVideo(Video video) {
        this.video = video;
        this.msgType = WxCpConstants.WelcomeMsgType.VIDEO;
    }
}
