package cn.nosum.wx.cp.entity.message;

import com.google.gson.annotations.SerializedName;
import lombok.Data;
import cn.nosum.wx.cp.utils.json.WxCpGsonBuilder;

import java.io.Serializable;
import java.util.List;

/**
 * 应用消息发送统计信息.
 *
 * @author Young
 */
@Data
public class WxCpMessageSendStatistics implements Serializable {
  private static final long serialVersionUID = 6031833682211475786L;

  public static WxCpMessageSendStatistics fromJson(String json) {
    return WxCpGsonBuilder.create().fromJson(json, WxCpMessageSendStatistics.class);
  }

  private List<StatisticItem> statistics;

  @Data
  public static class StatisticItem  implements Serializable {
    private static final long serialVersionUID = 6031833682211475786L;
    
    /**
     * 应用名
     */
    @SerializedName("app_name")
    private String appName;

    /**
     * 应用id
     */
    @SerializedName("agentid")
    private Integer agentId;

    /**
     * 发消息成功人次
     */
    @SerializedName("count")
    private Integer count;
  }
}
