package cn.nosum.wx.cp.entity.messagebuilder;

import cn.nosum.wx.common.api.WxConsts;
import cn.nosum.wx.cp.entity.message.WxCpMessage;

/**
 * markdown类型的消息builder
 *
 * @author Young
 */
public class MarkdownMsgBuilder extends BaseBuilder<MarkdownMsgBuilder> {
  private String content;

  public MarkdownMsgBuilder() {
    this.msgType = WxConsts.MessageType.MARKDOWN;
  }

  public MarkdownMsgBuilder content(String content) {
    this.content = content;
    return this;
  }

  @Override
  public WxCpMessage build() {
    WxCpMessage m = super.build();
    m.setContent(this.content);
    return m;
  }
}
