package cn.nosum.wx.cp.utils.json;

import cn.nosum.wx.common.entity.menu.WxMenu;
import cn.nosum.wx.common.error.WxError;
import cn.nosum.wx.common.utils.json.WxErrorAdapter;
import cn.nosum.wx.cp.entity.WxCpChat;
import cn.nosum.wx.cp.entity.WxCpDepart;
import cn.nosum.wx.cp.entity.WxCpTag;
import cn.nosum.wx.cp.entity.WxCpUser;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;


/**
 * 企业微信 GSON 适配器构建者.
 *
 * @author Young
 */
public class WxCpGsonBuilder {

    private static final GsonBuilder INSTANCE = new GsonBuilder();

    static {
        INSTANCE.disableHtmlEscaping();
        INSTANCE.registerTypeAdapter(WxCpChat.class, new WxCpChatGsonAdapter());
        INSTANCE.registerTypeAdapter(WxCpDepart.class, new WxCpDepartGsonAdapter());
        INSTANCE.registerTypeAdapter(WxCpUser.class, new WxCpUserGsonAdapter());
        INSTANCE.registerTypeAdapter(WxError.class, new WxErrorAdapter());
        INSTANCE.registerTypeAdapter(WxMenu.class, new WxCpMenuGsonAdapter());
        INSTANCE.registerTypeAdapter(WxCpTag.class, new WxCpTagGsonAdapter());
    }

    public static Gson create() {
        return INSTANCE.create();
    }

}
